$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.213.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.213.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'DE4C9D3C50C8A41E316EF28EF00CDC71A5A584A6BBA3E85EF675FF6881BA2044'
  checksumType = 'sha256'
  checksum64 = 'DE4C9D3C50C8A41E316EF28EF00CDC71A5A584A6BBA3E85EF675FF6881BA2044'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.32.213-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
